aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Duerr <chrisduerr@users.noreply.github.com>2018-11-03 18:46:26 +0000
committerGitHub <noreply@github.com>2018-11-03 18:46:26 +0000
commitd2f4972703fc95e20251796665feb00c768862d4 (patch)
tree40acfdc5dc9bc9c0d5ec2cca558183a3c81b6959
parent77816797e80d42d5fb626379a15dc94c09cd3694 (diff)
downloadalacritty-d2f4972703fc95e20251796665feb00c768862d4.tar.gz
alacritty-d2f4972703fc95e20251796665feb00c768862d4.zip
Fix windows tagged buildsbinaries
The windows tagged builds currently fail some tests since the winpty-agent.exe is inside the release directory instead of the debug directory with tagged builds.
-rwxr-xr-xci/script.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/ci/script.sh b/ci/script.sh
index 6ab9e11c..4dfc4323 100755
--- a/ci/script.sh
+++ b/ci/script.sh
@@ -20,8 +20,13 @@ cargo test -p font || error=true
# Test the winpty subcrate
if [ "$TRAVIS_OS_NAME" == "windows" ]; then
- cp ./target/debug/winpty-agent.exe ./target/debug/deps && \
- cargo test -p winpty || error=true
+ if [ -n "$TRAVIS_TAG" ]; then
+ mkdir -p "./target/debug/deps"
+ cp "./target/release/winpty-agent.exe" "./target/debug/deps"
+ else
+ cp "./target/debug/winpty-agent.exe" "./target/debug/deps"
+ fi
+ cargo test -p winpty || error=true
fi
if [ $error == "true" ]; then